/* **************** HearHere.h -- HearHere Definitions ***************** */
/*                                                                       */
/*                          Copyright (C) 1990                           */
/*                             The SID Trio                              */
/*                          All Rights Reserved                          */
/*                                                                       */
/*                                                                       */
/* ********************************************************************* */


/*****
 *  Subroutine prototypes...
 *
 */
Boolean HHInit(int);
Boolean HHSample(int *);
Boolean HHSampleRate(int);
Boolean HHFrontWindow(int,int,int);
Boolean HHRearWindow(int,int);
Boolean HHRecord(unsigned char *,long,int,Boolean,long *);
Boolean HHRecLow(unsigned char *,long,int,Boolean,long *);
Boolean HHRecHigh(unsigned char *,long,int,Boolean,long *);
Boolean HHRecToDiskHigh(unsigned char *,long,int,Boolean,long *);
Boolean HHRecToDiskLow(unsigned char *,long,int,Boolean,long *);
Boolean HHRAMPlay(unsigned char *,long);
Boolean HHDiskPlay(int,unsigned char *,long);
Boolean HHEnd(void);
void HHDisableInts(void);
void HHEnableInts(void);
int HHError(); 



/*****
 *  Port definitions for HHInit() subroutine
 *
 */
#define MODEM_PORT		1
#define PRINTER_PORT	2



/*****
 *  Error codes...
 *
 */
#define NO_ERROR		0
#define INVALID_PORT	1		/* invalid port number in HHInit() */
#define PORT_NOT_FREE	2		/* requested port asg'd to atalk or in use */
#define UNKNOWN_STATE	3		/* HHInit() has not been called */
#define INVALID_RATE	4		/* invalid sampling rate value */
#define INVALID_FRONT	5		/* invalid front window */
#define INVALID_REAR	6		/* invalid rear window */
#define INVALID_BUFLEN	7		/* bufLen is too small for needed windows */
#define NOT_RESPONDING	8		/* not receiving data from audio device */
#define INTERRUPT		9		/* recvd a mouse intrpt while recording */
#define MEMALLOC_ERROR	10		/* error allocating additional memory */
#define DISKFAIL		11		/* error reading/writing sound data to disk */
#define TIMEOUT			12		/* timeout while waiting for front window in record */





/* ********************************************************************* */
/*                                                                       */
/*                           End of HearHere.h                           */
/*                                                                       */
/* ********************************************************************* */




